GuideLab API

Request phase advancement (clinic only)

Allows a clinic to submit files for a phase and ask the lab to begin work. Sets filesSubmitted and points currentPhaseTaskId at the phase's first task.

POST
/orders/{id}/phases/{phaseId}/request-advance

Allows a clinic to submit files for a phase and ask the lab to begin work. Sets filesSubmitted and points currentPhaseTaskId at the phase's first task.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

phaseId*string

Order phase ID

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/phases/7c9e6679-7425-40de-944b-e07fc1f90ae7/request-advance"
{  "success": true}
Empty
Empty
Empty
Empty
Empty